// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/
@import url('https://fonts.googleapis.com/css?family=Gloria+Hallelujah');
/** Ionic CSS Variables **/
:root {
  /** primary **/
  --ion-color-primary: #3880ff;
  --ion-color-primary-rgb: 56, 128, 255;
  --ion-color-primary-contrast: #ffffff;
  --ion-color-primary-contrast-rgb: 255, 255, 255;
  --ion-color-primary-shade: #3171e0;
  --ion-color-primary-tint: #4c8dff;

  /** secondary **/
  --ion-color-secondary: #0cd1e8;
  --ion-color-secondary-rgb: 12, 209, 232;
  --ion-color-secondary-contrast: #ffffff;
  --ion-color-secondary-contrast-rgb: 255, 255, 255;
  --ion-color-secondary-shade: #0bb8cc;
  --ion-color-secondary-tint: #24d6ea;

  /** tertiary **/
  --ion-color-tertiary: #7044ff;
  --ion-color-tertiary-rgb: 112, 68, 255;
  --ion-color-tertiary-contrast: #ffffff;
  --ion-color-tertiary-contrast-rgb: 255, 255, 255;
  --ion-color-tertiary-shade: #633ce0;
  --ion-color-tertiary-tint: #7e57ff;

  /** success **/
  --ion-color-success: #10dc60;
  --ion-color-success-rgb: 16, 220, 96;
  --ion-color-success-contrast: #ffffff;
  --ion-color-success-contrast-rgb: 255, 255, 255;
  --ion-color-success-shade: #0ec254;
  --ion-color-success-tint: #28e070;

  /** warning **/
  --ion-color-warning: #ffce00;
  --ion-color-warning-rgb: 255, 206, 0;
  --ion-color-warning-contrast: #ffffff;
  --ion-color-warning-contrast-rgb: 255, 255, 255;
  --ion-color-warning-shade: #e0b500;
  --ion-color-warning-tint: #ffd31a;

  /** danger **/
  --ion-color-danger: #f04141;
  --ion-color-danger-rgb: 245, 61, 61;
  --ion-color-danger-contrast: #ffffff;
  --ion-color-danger-contrast-rgb: 255, 255, 255;
  --ion-color-danger-shade: #d33939;
  --ion-color-danger-tint: #f25454;

  /** dark **/
  --ion-color-dark: #222428;
  --ion-color-dark-rgb: 34, 34, 34;
  --ion-color-dark-contrast: #ffffff;
  --ion-color-dark-contrast-rgb: 255, 255, 255;
  --ion-color-dark-shade: #1e2023;
  --ion-color-dark-tint: #383a3e;

  /** medium **/
  --ion-color-medium: #989aa2;
  --ion-color-medium-rgb: 152, 154, 162;
  --ion-color-medium-contrast: #ffffff;
  --ion-color-medium-contrast-rgb: 255, 255, 255;
  --ion-color-medium-shade: #86888f;
  --ion-color-medium-tint: #a2a4ab;

  /** light **/
  --ion-color-light: #f4f5f8;
  --ion-color-light-rgb: 244, 244, 244;
  --ion-color-light-contrast: #000000;
  --ion-color-light-contrast-rgb: 0, 0, 0;
  --ion-color-light-shade: #d7d8da;
  --ion-color-light-tint: #f5f6f9;
  // --ion-background-color: #686462;
  --ion-font-family: 'Gloria Hallelujah';

  --ion-toolbar-background: #D2D1D7; 
}

// ion-card{
//   --background:black;
//   color:grey;
//   background-position: center center;
  
// }


ion-toolbar{
  --background:none;
  text-align: center;
  background-color: #000000;
  color:#d1cfcf;
}

ion-content {
  --background:none;
  background:url('../assets/IMG/adrien.jpg');
  background-size: cover;
  background-position: center center;
  font-family: 'Gloria Hallelujah', cursive;
}

.ionIcon{
  margin: 2% 0% 0% 20%;
}


.ionIconMenu{
  margin: 2% 0% 0% 20%;
}

.ionIconIzquierda{
  margin: 2% 30% 0% 0%;
}

.ios {
  --ion-font-family: 'Gloria Hallelujah'; /* It's also good to add a fallback font here */
}



.btnPrincipal{
  
  height: 15%;
  width: 90%;
  margin: 5% 5% 0% 5%;
 // box-shadow: 0 15px rgb(60, 47, 126);
  border-radius: 5px;
  border: 2px solid;
  font-size: 150%;
  font-family: 'Bangers', cursive;
  letter-spacing: 2px;
  position: relative;
 
}

.btnMenu{

  height: 40%;
  width: 90%;
  margin: 5% 5% 5% 5%;
 // box-shadow: 0 15px rgb(60, 47, 126);
  border-radius: 5px;
  border: 2.5px solid;
  font-size: 150%;
  font-family: 'Bangers', cursive;
  letter-spacing: 2px;
  position: relative;
 
}

.cabeceraMensaje{
  font-size: 80%;
  pad: 0%;
  color: #D2D1D7;
}



.btnIngreso{

  height: 10%;
  width: 90%;
  margin: 5% 5% 5% 5%;
 // box-shadow: 0 15px rgb(60, 47, 126);
  border-radius: 5px;
  border: 2.5px solid;
  font-size: 150%;
  font-family: 'Bangers', cursive;
  letter-spacing: 2px;
  position: relative;
 
}


.colorPrincipal{
 background:#F60100;
 color: #ffffff;
 border-color: #D2D1D7;
}

.colorSecundario{
 background:#002540;
 color: #ffffff;
 border-color: #D2D1D7;
}

.colorTerciario{
 background: #0070f7;  
 color: #000000;
 border-color:#D2D1D7; 
}

// propios a la derecha
.mensaje{
  font-size: 120%;
  color: #ffffff;   
}

.mensajePropio{
  background:#02406d;  
  margin: 2% 2% 2% 10%;
 }

.mensajeGrupo{
  background:#002540;  
  margin: 2% 10% 2% 2%;
 }
 
 .enviarTexto{
  color:white;
}

.unSpinner{
  width: 100%;
  height: 100%;
  color:  #F60100; 
  // stroke: #444;
  // fill: #222;
  // background-color: rgba(131, 130, 133,.3) 
}

.divInputError{
  font-size: 1.0em !important;
  font-family: 'Bangers', cursive;
  color:red;
}


.errorLogueo{
  font-size: 35px;
  color:rgba(0, 0, 255, 0.931);
  font-family: 'Exo', sans-serif;
  text-align: center;
  text-emphasis: bold;  
  border-radius: 10%;
  background:white; 
  height: 30%;
  padding: 5%;
}


.tituloHeader{
  margin: 0% 0% 0% 30%;
}

.ionIcon{
  margin: 2% 0% 0% 30%;
}

.headerLargo{
  margin: 0% 0% 0% 5%;
}

.iconHeaderLargo{
  margin: 2% 0% 0% 10%;
  
  // padding: 25% 0% 0% 0%;
}


@media (orientation:landscape){

  .btnIngreso{

    height: 12%; 
    margin: 1% 5% 1% 5%;
    font-size: 110%;
  }

  .btnPrincipal{
  
    height: 13%;
    width: 90%;
    margin: 1% 5% 0% 5%;   
    font-size: 110%;   
   
  }

  .btnMenu{
    height: 30%;
    width: 90%;
    margin: 2% 5% 2% 5%;
   
  }
  
  }